mbed TLS v2.23.0: mbedtls_psa_stats_s Struct Reference

mbed TLS v2.23.0

Data Fields
mbedtls_psa_stats_s Struct Reference

Statistics about resource consumption related to the PSA keystore. More...

`#include <crypto_extra.h>`

## Data Fields
size_t | volatile_slots
size_t | persistent_slots
size_t | external_slots
size_t | half_filled_slots
size_t | cache_slots
size_t | empty_slots
psa_app_key_id_t | max_open_internal_key_id
psa_app_key_id_t | max_open_external_key_id

## Detailed Description

Statistics about resource consumption related to the PSA keystore.

Note
  The content of this structure is not part of the stable API and ABI of Mbed Crypto and may change arbitrarily from version to version.

Definition at line 219 of file crypto_extra.h.

## Field Documentation

## ◆ cache_slots

size_t mbedtls_psa_stats_s::cache_slots

Number of slots that contain cache data.

Definition at line 233 of file crypto_extra.h.

## ◆ empty_slots

size_t mbedtls_psa_stats_s::empty_slots

Number of slots that are not used for anything.

Definition at line 235 of file crypto_extra.h.

## ◆ external_slots

size_t mbedtls_psa_stats_s::external_slots

Number of slots containing a reference to a key in a secure element.

Definition at line 228 of file crypto_extra.h.

## ◆ half_filled_slots

size_t mbedtls_psa_stats_s::half_filled_slots

Number of slots which are occupied, but do not contain key material yet.

Definition at line 231 of file crypto_extra.h.

## ◆ max_open_external_key_id

psa_app_key_id_t mbedtls_psa_stats_s::max_open_external_key_id

Largest key id value among open keys in secure elements.

Definition at line 239 of file crypto_extra.h.

## ◆ max_open_internal_key_id

psa_app_key_id_t mbedtls_psa_stats_s::max_open_internal_key_id

Largest key id value among open keys in internal persistent storage.

Definition at line 237 of file crypto_extra.h.

## ◆ persistent_slots

size_t mbedtls_psa_stats_s::persistent_slots

Number of slots containing key material for a key which is in internal persistent storage.

Definition at line 225 of file crypto_extra.h.

## ◆ volatile_slots

size_t mbedtls_psa_stats_s::volatile_slots

Number of slots containing key material for a volatile key.

Definition at line 222 of file crypto_extra.h.

The documentation for this struct was generated from the following file:

- crypto_extra.h